
QGIS Application - Bug report #18791

Diagrams: Histogram - Bar width limited to 99.99 but units linked bar length.

2018-04-23 02:26 AM - Les Dowling

Status: Closed

Priority: Normal

Assignee:

Category: Diagrams

Affected QGIS version:3.0.1 Regression?: No

Operating System: Windows 10 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26678

Description

In version 3.0.2 the units for bar width are linked the units for bar length, but the upper limit for bar width is 99.99. So when using map

units in meters the maximum bar width is too small at low zoom. The result is bars which are too narrow.

Associated revisions

Revision 3228654e - 2018-05-01 03:24 AM - Nyall Dawson

[diagrams] Fix bar width maximum is too small for map unit sizes

Fixes #18791

Revision 8739547a - 2018-05-03 03:23 AM - Nyall Dawson

[diagrams] Fix bar width maximum is too small for map unit sizes

Fixes #18791

(cherry-picked from 3228654)

History

#1 - 2018-05-01 03:30 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3228654e5bf99523c273b2e2cb10f66eb0d70bd8.
